///智能粘贴板设置参数
///杨华轩
class IntellectSearchSetModel {
  List<String> exclude;
  String keywordAlpha;
  String keywordAlphanum;
  String keywordLimitMax;
  String keywordLimitMin;
  String keywordLimitState;
  String keywordNum;
  List<String> pvd;
  String state;

  IntellectSearchSetModel(
      {this.exclude,
      this.keywordAlpha,
      this.keywordAlphanum,
      this.keywordLimitMax,
      this.keywordLimitMin,
      this.keywordLimitState,
      this.keywordNum,
      this.pvd,
      this.state});

  IntellectSearchSetModel.fromJson(Map<String, dynamic> json) {
    exclude = json['exclude'].cast<String>();
    keywordAlpha = json['keyword_alpha'].toString();
    keywordAlphanum = json['keyword_alphanum'].toString();
    keywordLimitMax = json['keyword_limit_max'].toString();
    keywordLimitMin = json['keyword_limit_min'].toString();
    keywordLimitState = json['keyword_limit_state'].toString();
    keywordNum = json['keyword_num'].toString();
    pvd = json['pvd'].cast<String>();
    state = json['state'].toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['exclude'] = this.exclude;
    data['keyword_alpha'] = this.keywordAlpha;
    data['keyword_alphanum'] = this.keywordAlphanum;
    data['keyword_limit_max'] = this.keywordLimitMax;
    data['keyword_limit_min'] = this.keywordLimitMin;
    data['keyword_limit_state'] = this.keywordLimitState;
    data['keyword_num'] = this.keywordNum;
    data['pvd'] = this.pvd;
    data['state'] = this.state;
    return data;
  }
}
