class HomeGoodsHeaderModel {
  String type;
  String title;
  String subtitle;
  String tilteTextColor;
  String subtitleBgColor;
  String subtitleTextColor;

  HomeGoodsHeaderModel(
      {this.type,
        this.title,
        this.subtitle,
        this.tilteTextColor,
        this.subtitleBgColor,
        this.subtitleTextColor});

  HomeGoodsHeaderModel.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    title = json['title'];
    subtitle = json['subtitle'];
    tilteTextColor = json['tilte_text_color'];
    subtitleBgColor = json['subtitle_bg_color'];
    subtitleTextColor = json['subtitle_text_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['title'] = this.title;
    data['subtitle'] = this.subtitle;
    data['tilte_text_color'] = this.tilteTextColor;
    data['subtitle_bg_color'] = this.subtitleBgColor;
    data['subtitle_text_color'] = this.subtitleTextColor;
    return data;
  }
}

