import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:zhiying_base_widget/widgets/home/home_quick_entry/cached_network_image_util.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class IntellectSearchGoodsDialog extends StatefulWidget {
  @override
  _IntellectSearchGoodsDialogState createState() =>
      _IntellectSearchGoodsDialogState();
}

class _IntellectSearchGoodsDialogState
    extends State<IntellectSearchGoodsDialog> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: InkWell(
        onTap: () {
          Navigator.of(context).pop();
        },
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            GestureDetector(
              onTap: () {},
              child: Stack(
                children: <Widget>[
                  Container(
                    margin: EdgeInsets.only(top: 38.h, left: 92.w, right: 92.w),
                    padding: EdgeInsets.only(
                        top: (38 + 38).h,
                        left: 30.w,
                        right: 30.w,
                        bottom: 48.h),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.circular(16)),
                    width: double.infinity,
                    child: Column(
                      children: <Widget>[_bulidTopItem(), _buildBottomItem()],
                    ),
                  ),
                  Container(
                    height: 76.h,
                    child: Center(
                        child: Container(
                      color: Colors.red,
                      height: 76.h,
                      width: 216.w,
                      child: CachedNetworkImage(
                        imageUrl: "",
                      ),
                    )),
                  ),
                ],
              ),
            )
          ],
        ),
      ),
    );
  }

  _bulidTopItem() {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Container(
          color: Colors.red,
          width: 160.w,
          height: 160.w,
        ),
        SizedBox(
          width: 19.w,
        ),
        Expanded(
            child: Container(
          child: Column(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              Column(
                children: <Widget>[
                  Text(
                    "2020新款春款波点连衣裙新短发dfasdfas短发时代发发呆发顺丰的打算萨阿啊",
                    maxLines: 2,
                    overflow: TextOverflow.ellipsis,
                    style: TextStyle(color: Colors.black, fontSize: 24.sp),
                  ),
                  SizedBox(
                    height: 5.h,
                  ),
                  Row(
                    children: <Widget>[
                      Container(
                        decoration: BoxDecoration(
                            color: Colors.red,
                            borderRadius: BorderRadius.circular(2)),
                        padding: EdgeInsets.all(2),
                        child: Row(
                          mainAxisSize: MainAxisSize.min,
                          children: <Widget>[
                            Container(
                              width: 30.w,
                              height: 30.w,
                              decoration: BoxDecoration(color: Colors.white),
                              child: Center(
                                child: Text(
                                  "券",
                                  style: TextStyle(
                                      color: Colors.red, fontSize: 20.sp),
                                ),
                              ),
                            ),
                            Padding(
                              padding: const EdgeInsets.only(left: 4, right: 4),
                              child: Text(
                                "¥100",
                                style: TextStyle(
                                    color: Colors.white, fontSize: 20.sp),
                              ),
                            )
                          ],
                        ),
                      ),
                      SizedBox(
                        width: 12.w,
                      ),
                      Container(
                        decoration: BoxDecoration(
                            color: HexColor.fromHex("#FFFFF6C1"),
                            borderRadius: BorderRadius.circular(2)),
                        padding: EdgeInsets.all(2),
                        child: Row(
                          mainAxisSize: MainAxisSize.min,
                          children: <Widget>[
                            SizedBox(
                              height: 30.w,
                            ),
                            Center(
                              child: Padding(
                                padding:
                                    const EdgeInsets.only(left: 4, right: 4),
                                child: Text(
                                  "预计返",
                                  style: TextStyle(
                                      color: Colors.deepOrangeAccent,
                                      fontSize: 20.sp),
                                ),
                              ),
                            )
                          ],
                        ),
                      )
                    ],
                  ),
                ],
              ),
              SizedBox(
                height: 10.h,
              ),
              Row(
                crossAxisAlignment: CrossAxisAlignment.end,
                children: <Widget>[
                  Padding(
                    padding: const EdgeInsets.only(bottom: 2),
                    child: Text(
                      "券后",
                      style: TextStyle(fontSize: 20.sp, color: Colors.red),
                    ),
                  ),
                  Padding(
                    padding:
                        const EdgeInsets.only(bottom: 2, left: 4, right: 4),
                    child: Text(
                      "¥",
                      style: TextStyle(fontSize: 20.sp, color: Colors.red),
                    ),
                  ),
                  Text(
                    "999",
                    style: TextStyle(
                      fontSize: 32.sp,
                      color: Colors.red,
                    ),
                  )
                ],
              )
            ],
          ),
        ))
      ],
    );
  }

  _buildBottomItem() {
    return Column(
      children: <Widget>[
        SizedBox(
          height: 24,
        ),
        Row(
          children: <Widget>[
            Expanded(
                child: Container(
              margin: EdgeInsets.only(left: 20.w, right: 20.w),
              decoration: BoxDecoration(
                  color: Colors.red, borderRadius: BorderRadius.circular(50)),
              child: Center(
                  child: Padding(
                padding: const EdgeInsets.all(12.0),
                child: Text(
                  "合法化 ",
                  style: TextStyle(color: Colors.white, fontSize: 24.sp),
                ),
              )),
            ))
          ],
        ),
        SizedBox(
          height: 16,
        ),
        Row(
          children: <Widget>[
            Expanded(
                child: Container(
              margin: EdgeInsets.only(left: 20.w, right: 20.w),
              decoration: BoxDecoration(
                  color: Colors.red, borderRadius: BorderRadius.circular(50)),
              child: Center(
                  child: Padding(
                padding: const EdgeInsets.all(12.0),
                child: Text(
                  "合法化 ",
                  style: TextStyle(color: Colors.white, fontSize: 24.sp),
                ),
              )),
            ))
          ],
        )
      ],
    );
  }
}
